Package org.eclipse.graphiti.features

## Interface ICreateFeature

All Superinterfaces:
  `ICreate`, `ICreateInfo`, `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `AbstractCreateFeature`, `CreateFeatureForPattern`

    public interface ICreateFeature
    extends ICreate, IFeature

The Interface ICreateFeature is for creating model content. The appropriate pictogram content is added by the add feature.

See Also:
  `IAddFeature`

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.func.ICreate

`EMPTY`

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.func.ICreate

`canCreate, create`

### Methods inherited from interface org.eclipse.graphiti.func.ICreateInfo

`getCreateDescription, getCreateImageId, getCreateLargeImageId, getCreateName`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`